Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network3.167.136.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
3.167.136.0
Broadcast address
3.167.139.255
First usable
3.167.136.1
Last usable
3.167.139.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 03A78800 · Integer 61310976 to 61311999
Reverse DNS zones
136.167.3.in-addr.arpa
137.167.3.in-addr.arpa
138.167.3.in-addr.arpa
139.167.3.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000011.10100111.10001000.000000003.167.136.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00000011.10100111.10001000.000000003.167.136.0
Broadcast00000011.10100111.10001011.111111113.167.139.255
Split into smaller subnets/30

3.167.136.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
13.167.136.0/303.167.136.1 to 3.167.136.23.167.136.32
23.167.136.4/303.167.136.5 to 3.167.136.63.167.136.72
33.167.136.8/303.167.136.9 to 3.167.136.103.167.136.112
43.167.136.12/303.167.136.13 to 3.167.136.143.167.136.152
53.167.136.16/303.167.136.17 to 3.167.136.183.167.136.192
63.167.136.20/303.167.136.21 to 3.167.136.223.167.136.232
73.167.136.24/303.167.136.25 to 3.167.136.263.167.136.272
83.167.136.28/303.167.136.29 to 3.167.136.303.167.136.312
93.167.136.32/303.167.136.33 to 3.167.136.343.167.136.352
103.167.136.36/303.167.136.37 to 3.167.136.383.167.136.392
113.167.136.40/303.167.136.41 to 3.167.136.423.167.136.432
123.167.136.44/303.167.136.45 to 3.167.136.463.167.136.472
133.167.136.48/303.167.136.49 to 3.167.136.503.167.136.512
143.167.136.52/303.167.136.53 to 3.167.136.543.167.136.552
153.167.136.56/303.167.136.57 to 3.167.136.583.167.136.592
163.167.136.60/303.167.136.61 to 3.167.136.623.167.136.632
173.167.136.64/303.167.136.65 to 3.167.136.663.167.136.672
183.167.136.68/303.167.136.69 to 3.167.136.703.167.136.712
193.167.136.72/303.167.136.73 to 3.167.136.743.167.136.752
203.167.136.76/303.167.136.77 to 3.167.136.783.167.136.792
213.167.136.80/303.167.136.81 to 3.167.136.823.167.136.832
223.167.136.84/303.167.136.85 to 3.167.136.863.167.136.872
233.167.136.88/303.167.136.89 to 3.167.136.903.167.136.912
243.167.136.92/303.167.136.93 to 3.167.136.943.167.136.952
253.167.136.96/303.167.136.97 to 3.167.136.983.167.136.992
263.167.136.100/303.167.136.101 to 3.167.136.1023.167.136.1032
273.167.136.104/303.167.136.105 to 3.167.136.1063.167.136.1072
283.167.136.108/303.167.136.109 to 3.167.136.1103.167.136.1112
293.167.136.112/303.167.136.113 to 3.167.136.1143.167.136.1152
303.167.136.116/303.167.136.117 to 3.167.136.1183.167.136.1192
313.167.136.120/303.167.136.121 to 3.167.136.1223.167.136.1232
323.167.136.124/303.167.136.125 to 3.167.136.1263.167.136.1272
333.167.136.128/303.167.136.129 to 3.167.136.1303.167.136.1312
343.167.136.132/303.167.136.133 to 3.167.136.1343.167.136.1352
353.167.136.136/303.167.136.137 to 3.167.136.1383.167.136.1392
363.167.136.140/303.167.136.141 to 3.167.136.1423.167.136.1432
373.167.136.144/303.167.136.145 to 3.167.136.1463.167.136.1472
383.167.136.148/303.167.136.149 to 3.167.136.1503.167.136.1512
393.167.136.152/303.167.136.153 to 3.167.136.1543.167.136.1552
403.167.136.156/303.167.136.157 to 3.167.136.1583.167.136.1592
413.167.136.160/303.167.136.161 to 3.167.136.1623.167.136.1632
423.167.136.164/303.167.136.165 to 3.167.136.1663.167.136.1672
433.167.136.168/303.167.136.169 to 3.167.136.1703.167.136.1712
443.167.136.172/303.167.136.173 to 3.167.136.1743.167.136.1752
453.167.136.176/303.167.136.177 to 3.167.136.1783.167.136.1792
463.167.136.180/303.167.136.181 to 3.167.136.1823.167.136.1832
473.167.136.184/303.167.136.185 to 3.167.136.1863.167.136.1872
483.167.136.188/303.167.136.189 to 3.167.136.1903.167.136.1912
493.167.136.192/303.167.136.193 to 3.167.136.1943.167.136.1952
503.167.136.196/303.167.136.197 to 3.167.136.1983.167.136.1992
513.167.136.200/303.167.136.201 to 3.167.136.2023.167.136.2032
523.167.136.204/303.167.136.205 to 3.167.136.2063.167.136.2072
533.167.136.208/303.167.136.209 to 3.167.136.2103.167.136.2112
543.167.136.212/303.167.136.213 to 3.167.136.2143.167.136.2152
553.167.136.216/303.167.136.217 to 3.167.136.2183.167.136.2192
563.167.136.220/303.167.136.221 to 3.167.136.2223.167.136.2232
573.167.136.224/303.167.136.225 to 3.167.136.2263.167.136.2272
583.167.136.228/303.167.136.229 to 3.167.136.2303.167.136.2312
593.167.136.232/303.167.136.233 to 3.167.136.2343.167.136.2352
603.167.136.236/303.167.136.237 to 3.167.136.2383.167.136.2392
613.167.136.240/303.167.136.241 to 3.167.136.2423.167.136.2432
623.167.136.244/303.167.136.245 to 3.167.136.2463.167.136.2472
633.167.136.248/303.167.136.249 to 3.167.136.2503.167.136.2512
643.167.136.252/303.167.136.253 to 3.167.136.2543.167.136.2552
653.167.137.0/303.167.137.1 to 3.167.137.23.167.137.32
663.167.137.4/303.167.137.5 to 3.167.137.63.167.137.72
673.167.137.8/303.167.137.9 to 3.167.137.103.167.137.112
683.167.137.12/303.167.137.13 to 3.167.137.143.167.137.152
693.167.137.16/303.167.137.17 to 3.167.137.183.167.137.192
703.167.137.20/303.167.137.21 to 3.167.137.223.167.137.232
713.167.137.24/303.167.137.25 to 3.167.137.263.167.137.272
723.167.137.28/303.167.137.29 to 3.167.137.303.167.137.312
733.167.137.32/303.167.137.33 to 3.167.137.343.167.137.352
743.167.137.36/303.167.137.37 to 3.167.137.383.167.137.392
753.167.137.40/303.167.137.41 to 3.167.137.423.167.137.432
763.167.137.44/303.167.137.45 to 3.167.137.463.167.137.472
773.167.137.48/303.167.137.49 to 3.167.137.503.167.137.512
783.167.137.52/303.167.137.53 to 3.167.137.543.167.137.552
793.167.137.56/303.167.137.57 to 3.167.137.583.167.137.592
803.167.137.60/303.167.137.61 to 3.167.137.623.167.137.632
813.167.137.64/303.167.137.65 to 3.167.137.663.167.137.672
823.167.137.68/303.167.137.69 to 3.167.137.703.167.137.712
833.167.137.72/303.167.137.73 to 3.167.137.743.167.137.752
843.167.137.76/303.167.137.77 to 3.167.137.783.167.137.792
853.167.137.80/303.167.137.81 to 3.167.137.823.167.137.832
863.167.137.84/303.167.137.85 to 3.167.137.863.167.137.872
873.167.137.88/303.167.137.89 to 3.167.137.903.167.137.912
883.167.137.92/303.167.137.93 to 3.167.137.943.167.137.952
893.167.137.96/303.167.137.97 to 3.167.137.983.167.137.992
903.167.137.100/303.167.137.101 to 3.167.137.1023.167.137.1032
913.167.137.104/303.167.137.105 to 3.167.137.1063.167.137.1072
923.167.137.108/303.167.137.109 to 3.167.137.1103.167.137.1112
933.167.137.112/303.167.137.113 to 3.167.137.1143.167.137.1152
943.167.137.116/303.167.137.117 to 3.167.137.1183.167.137.1192
953.167.137.120/303.167.137.121 to 3.167.137.1223.167.137.1232
963.167.137.124/303.167.137.125 to 3.167.137.1263.167.137.1272
973.167.137.128/303.167.137.129 to 3.167.137.1303.167.137.1312
983.167.137.132/303.167.137.133 to 3.167.137.1343.167.137.1352
993.167.137.136/303.167.137.137 to 3.167.137.1383.167.137.1392
1003.167.137.140/303.167.137.141 to 3.167.137.1423.167.137.1432
1013.167.137.144/303.167.137.145 to 3.167.137.1463.167.137.1472
1023.167.137.148/303.167.137.149 to 3.167.137.1503.167.137.1512
1033.167.137.152/303.167.137.153 to 3.167.137.1543.167.137.1552
1043.167.137.156/303.167.137.157 to 3.167.137.1583.167.137.1592
1053.167.137.160/303.167.137.161 to 3.167.137.1623.167.137.1632
1063.167.137.164/303.167.137.165 to 3.167.137.1663.167.137.1672
1073.167.137.168/303.167.137.169 to 3.167.137.1703.167.137.1712
1083.167.137.172/303.167.137.173 to 3.167.137.1743.167.137.1752
1093.167.137.176/303.167.137.177 to 3.167.137.1783.167.137.1792
1103.167.137.180/303.167.137.181 to 3.167.137.1823.167.137.1832
1113.167.137.184/303.167.137.185 to 3.167.137.1863.167.137.1872
1123.167.137.188/303.167.137.189 to 3.167.137.1903.167.137.1912
1133.167.137.192/303.167.137.193 to 3.167.137.1943.167.137.1952
1143.167.137.196/303.167.137.197 to 3.167.137.1983.167.137.1992
1153.167.137.200/303.167.137.201 to 3.167.137.2023.167.137.2032
1163.167.137.204/303.167.137.205 to 3.167.137.2063.167.137.2072
1173.167.137.208/303.167.137.209 to 3.167.137.2103.167.137.2112
1183.167.137.212/303.167.137.213 to 3.167.137.2143.167.137.2152
1193.167.137.216/303.167.137.217 to 3.167.137.2183.167.137.2192
1203.167.137.220/303.167.137.221 to 3.167.137.2223.167.137.2232
1213.167.137.224/303.167.137.225 to 3.167.137.2263.167.137.2272
1223.167.137.228/303.167.137.229 to 3.167.137.2303.167.137.2312
1233.167.137.232/303.167.137.233 to 3.167.137.2343.167.137.2352
1243.167.137.236/303.167.137.237 to 3.167.137.2383.167.137.2392
1253.167.137.240/303.167.137.241 to 3.167.137.2423.167.137.2432
1263.167.137.244/303.167.137.245 to 3.167.137.2463.167.137.2472
1273.167.137.248/303.167.137.249 to 3.167.137.2503.167.137.2512
1283.167.137.252/303.167.137.253 to 3.167.137.2543.167.137.2552
1293.167.138.0/303.167.138.1 to 3.167.138.23.167.138.32
1303.167.138.4/303.167.138.5 to 3.167.138.63.167.138.72
1313.167.138.8/303.167.138.9 to 3.167.138.103.167.138.112
1323.167.138.12/303.167.138.13 to 3.167.138.143.167.138.152
1333.167.138.16/303.167.138.17 to 3.167.138.183.167.138.192
1343.167.138.20/303.167.138.21 to 3.167.138.223.167.138.232
1353.167.138.24/303.167.138.25 to 3.167.138.263.167.138.272
1363.167.138.28/303.167.138.29 to 3.167.138.303.167.138.312
1373.167.138.32/303.167.138.33 to 3.167.138.343.167.138.352
1383.167.138.36/303.167.138.37 to 3.167.138.383.167.138.392
1393.167.138.40/303.167.138.41 to 3.167.138.423.167.138.432
1403.167.138.44/303.167.138.45 to 3.167.138.463.167.138.472
1413.167.138.48/303.167.138.49 to 3.167.138.503.167.138.512
1423.167.138.52/303.167.138.53 to 3.167.138.543.167.138.552
1433.167.138.56/303.167.138.57 to 3.167.138.583.167.138.592
1443.167.138.60/303.167.138.61 to 3.167.138.623.167.138.632
1453.167.138.64/303.167.138.65 to 3.167.138.663.167.138.672
1463.167.138.68/303.167.138.69 to 3.167.138.703.167.138.712
1473.167.138.72/303.167.138.73 to 3.167.138.743.167.138.752
1483.167.138.76/303.167.138.77 to 3.167.138.783.167.138.792
1493.167.138.80/303.167.138.81 to 3.167.138.823.167.138.832
1503.167.138.84/303.167.138.85 to 3.167.138.863.167.138.872
1513.167.138.88/303.167.138.89 to 3.167.138.903.167.138.912
1523.167.138.92/303.167.138.93 to 3.167.138.943.167.138.952
1533.167.138.96/303.167.138.97 to 3.167.138.983.167.138.992
1543.167.138.100/303.167.138.101 to 3.167.138.1023.167.138.1032
1553.167.138.104/303.167.138.105 to 3.167.138.1063.167.138.1072
1563.167.138.108/303.167.138.109 to 3.167.138.1103.167.138.1112
1573.167.138.112/303.167.138.113 to 3.167.138.1143.167.138.1152
1583.167.138.116/303.167.138.117 to 3.167.138.1183.167.138.1192
1593.167.138.120/303.167.138.121 to 3.167.138.1223.167.138.1232
1603.167.138.124/303.167.138.125 to 3.167.138.1263.167.138.1272
1613.167.138.128/303.167.138.129 to 3.167.138.1303.167.138.1312
1623.167.138.132/303.167.138.133 to 3.167.138.1343.167.138.1352
1633.167.138.136/303.167.138.137 to 3.167.138.1383.167.138.1392
1643.167.138.140/303.167.138.141 to 3.167.138.1423.167.138.1432
1653.167.138.144/303.167.138.145 to 3.167.138.1463.167.138.1472
1663.167.138.148/303.167.138.149 to 3.167.138.1503.167.138.1512
1673.167.138.152/303.167.138.153 to 3.167.138.1543.167.138.1552
1683.167.138.156/303.167.138.157 to 3.167.138.1583.167.138.1592
1693.167.138.160/303.167.138.161 to 3.167.138.1623.167.138.1632
1703.167.138.164/303.167.138.165 to 3.167.138.1663.167.138.1672
1713.167.138.168/303.167.138.169 to 3.167.138.1703.167.138.1712
1723.167.138.172/303.167.138.173 to 3.167.138.1743.167.138.1752
1733.167.138.176/303.167.138.177 to 3.167.138.1783.167.138.1792
1743.167.138.180/303.167.138.181 to 3.167.138.1823.167.138.1832
1753.167.138.184/303.167.138.185 to 3.167.138.1863.167.138.1872
1763.167.138.188/303.167.138.189 to 3.167.138.1903.167.138.1912
1773.167.138.192/303.167.138.193 to 3.167.138.1943.167.138.1952
1783.167.138.196/303.167.138.197 to 3.167.138.1983.167.138.1992
1793.167.138.200/303.167.138.201 to 3.167.138.2023.167.138.2032
1803.167.138.204/303.167.138.205 to 3.167.138.2063.167.138.2072
1813.167.138.208/303.167.138.209 to 3.167.138.2103.167.138.2112
1823.167.138.212/303.167.138.213 to 3.167.138.2143.167.138.2152
1833.167.138.216/303.167.138.217 to 3.167.138.2183.167.138.2192
1843.167.138.220/303.167.138.221 to 3.167.138.2223.167.138.2232
1853.167.138.224/303.167.138.225 to 3.167.138.2263.167.138.2272
1863.167.138.228/303.167.138.229 to 3.167.138.2303.167.138.2312
1873.167.138.232/303.167.138.233 to 3.167.138.2343.167.138.2352
1883.167.138.236/303.167.138.237 to 3.167.138.2383.167.138.2392
1893.167.138.240/303.167.138.241 to 3.167.138.2423.167.138.2432
1903.167.138.244/303.167.138.245 to 3.167.138.2463.167.138.2472
1913.167.138.248/303.167.138.249 to 3.167.138.2503.167.138.2512
1923.167.138.252/303.167.138.253 to 3.167.138.2543.167.138.2552
1933.167.139.0/303.167.139.1 to 3.167.139.23.167.139.32
1943.167.139.4/303.167.139.5 to 3.167.139.63.167.139.72
1953.167.139.8/303.167.139.9 to 3.167.139.103.167.139.112
1963.167.139.12/303.167.139.13 to 3.167.139.143.167.139.152
1973.167.139.16/303.167.139.17 to 3.167.139.183.167.139.192
1983.167.139.20/303.167.139.21 to 3.167.139.223.167.139.232
1993.167.139.24/303.167.139.25 to 3.167.139.263.167.139.272
2003.167.139.28/303.167.139.29 to 3.167.139.303.167.139.312
2013.167.139.32/303.167.139.33 to 3.167.139.343.167.139.352
2023.167.139.36/303.167.139.37 to 3.167.139.383.167.139.392
2033.167.139.40/303.167.139.41 to 3.167.139.423.167.139.432
2043.167.139.44/303.167.139.45 to 3.167.139.463.167.139.472
2053.167.139.48/303.167.139.49 to 3.167.139.503.167.139.512
2063.167.139.52/303.167.139.53 to 3.167.139.543.167.139.552
2073.167.139.56/303.167.139.57 to 3.167.139.583.167.139.592
2083.167.139.60/303.167.139.61 to 3.167.139.623.167.139.632
2093.167.139.64/303.167.139.65 to 3.167.139.663.167.139.672
2103.167.139.68/303.167.139.69 to 3.167.139.703.167.139.712
2113.167.139.72/303.167.139.73 to 3.167.139.743.167.139.752
2123.167.139.76/303.167.139.77 to 3.167.139.783.167.139.792
2133.167.139.80/303.167.139.81 to 3.167.139.823.167.139.832
2143.167.139.84/303.167.139.85 to 3.167.139.863.167.139.872
2153.167.139.88/303.167.139.89 to 3.167.139.903.167.139.912
2163.167.139.92/303.167.139.93 to 3.167.139.943.167.139.952
2173.167.139.96/303.167.139.97 to 3.167.139.983.167.139.992
2183.167.139.100/303.167.139.101 to 3.167.139.1023.167.139.1032
2193.167.139.104/303.167.139.105 to 3.167.139.1063.167.139.1072
2203.167.139.108/303.167.139.109 to 3.167.139.1103.167.139.1112
2213.167.139.112/303.167.139.113 to 3.167.139.1143.167.139.1152
2223.167.139.116/303.167.139.117 to 3.167.139.1183.167.139.1192
2233.167.139.120/303.167.139.121 to 3.167.139.1223.167.139.1232
2243.167.139.124/303.167.139.125 to 3.167.139.1263.167.139.1272
2253.167.139.128/303.167.139.129 to 3.167.139.1303.167.139.1312
2263.167.139.132/303.167.139.133 to 3.167.139.1343.167.139.1352
2273.167.139.136/303.167.139.137 to 3.167.139.1383.167.139.1392
2283.167.139.140/303.167.139.141 to 3.167.139.1423.167.139.1432
2293.167.139.144/303.167.139.145 to 3.167.139.1463.167.139.1472
2303.167.139.148/303.167.139.149 to 3.167.139.1503.167.139.1512
2313.167.139.152/303.167.139.153 to 3.167.139.1543.167.139.1552
2323.167.139.156/303.167.139.157 to 3.167.139.1583.167.139.1592
2333.167.139.160/303.167.139.161 to 3.167.139.1623.167.139.1632
2343.167.139.164/303.167.139.165 to 3.167.139.1663.167.139.1672
2353.167.139.168/303.167.139.169 to 3.167.139.1703.167.139.1712
2363.167.139.172/303.167.139.173 to 3.167.139.1743.167.139.1752
2373.167.139.176/303.167.139.177 to 3.167.139.1783.167.139.1792
2383.167.139.180/303.167.139.181 to 3.167.139.1823.167.139.1832
2393.167.139.184/303.167.139.185 to 3.167.139.1863.167.139.1872
2403.167.139.188/303.167.139.189 to 3.167.139.1903.167.139.1912
2413.167.139.192/303.167.139.193 to 3.167.139.1943.167.139.1952
2423.167.139.196/303.167.139.197 to 3.167.139.1983.167.139.1992
2433.167.139.200/303.167.139.201 to 3.167.139.2023.167.139.2032
2443.167.139.204/303.167.139.205 to 3.167.139.2063.167.139.2072
2453.167.139.208/303.167.139.209 to 3.167.139.2103.167.139.2112
2463.167.139.212/303.167.139.213 to 3.167.139.2143.167.139.2152
2473.167.139.216/303.167.139.217 to 3.167.139.2183.167.139.2192
2483.167.139.220/303.167.139.221 to 3.167.139.2223.167.139.2232
2493.167.139.224/303.167.139.225 to 3.167.139.2263.167.139.2272
2503.167.139.228/303.167.139.229 to 3.167.139.2303.167.139.2312
2513.167.139.232/303.167.139.233 to 3.167.139.2343.167.139.2352
2523.167.139.236/303.167.139.237 to 3.167.139.2383.167.139.2392
2533.167.139.240/303.167.139.241 to 3.167.139.2423.167.139.2432
2543.167.139.244/303.167.139.245 to 3.167.139.2463.167.139.2472
2553.167.139.248/303.167.139.249 to 3.167.139.2503.167.139.2512
2563.167.139.252/303.167.139.253 to 3.167.139.2543.167.139.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses